Package org.lwjgl.opengl

# Class GL21

java.lang.Object
org.lwjgl.opengl.GL21

public final class GL21 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COMPRESSED_SLUMINANCE`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SLUMINANCE_ALPHA`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SRGB`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_COMPRESSED_SRGB_ALPHA`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_CURRENT_RASTER_SECONDARY_COLOR`
Accepted by the <pname> parameter of GetIntegerv and GetFloatv.
`static final int`
`GL_FLOAT_MAT2x3`
Returned by the <type> parameter of GetActiveAttribARB.
`static final int`
`GL_FLOAT_MAT2x4`
Returned by the <type> parameter of GetActiveAttribARB.
`static final int`
`GL_FLOAT_MAT3x2`
Returned by the <type> parameter of GetActiveAttribARB.
`static final int`
`GL_FLOAT_MAT3x4`
Returned by the <type> parameter of GetActiveAttribARB.
`static final int`
`GL_FLOAT_MAT4x2`
Returned by the <type> parameter of GetActiveAttribARB.
`static final int`
`GL_FLOAT_MAT4x3`
Returned by the <type> parameter of GetActiveAttribARB.
`static final int`
`GL_PIXEL_PACK_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv.
`static final int`
`GL_PIXEL_PACK_BUFFER_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_PIXEL_UNPACK_BUFFER`
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv.
`static final int`
`GL_PIXEL_UNPACK_BUFFER_BINDING`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.
`static final int`
`GL_SLUMINANCE`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SLUMINANCE_ALPHA`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SLUMINANCE8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SLUMINANCE8_ALPHA8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB_ALPHA`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static final int`
`GL_SRGB8_ALPHA8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

## Method Summary

Modifier and Type
Method
Description
`static void`
`glUniformMatrix2x3(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix2x4(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix3x2(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix3x4(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix4x2(int location, boolean transpose, FloatBuffer matrices)`
`static void`
`glUniformMatrix4x3(int location, boolean transpose, FloatBuffer matrices)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FLOAT_MAT2x3

public static final int GL_FLOAT_MAT2x3
Returned by the <type> parameter of GetActiveAttribARB.

See Also:
  - Constant Field Values

### GL_FLOAT_MAT2x4

public static final int GL_FLOAT_MAT2x4
Returned by the <type> parameter of GetActiveAttribARB.

See Also:
  - Constant Field Values

### GL_FLOAT_MAT3x2

public static final int GL_FLOAT_MAT3x2
Returned by the <type> parameter of GetActiveAttribARB.

See Also:
  - Constant Field Values

### GL_FLOAT_MAT3x4

public static final int GL_FLOAT_MAT3x4
Returned by the <type> parameter of GetActiveAttribARB.

See Also:
  - Constant Field Values

### GL_FLOAT_MAT4x2

public static final int GL_FLOAT_MAT4x2
Returned by the <type> parameter of GetActiveAttribARB.

See Also:
  - Constant Field Values

### GL_FLOAT_MAT4x3

public static final int GL_FLOAT_MAT4x3
Returned by the <type> parameter of GetActiveAttribARB.

See Also:
  - Constant Field Values

### GL_PIXEL_PACK_BUFFER

public static final int GL_PIXEL_PACK_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv.

See Also:
  - Constant Field Values

### GL_PIXEL_UNPACK_BUFFER

public static final int GL_PIXEL_UNPACK_BUFFER
Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferParameteriv, and GetBufferPointerv.

See Also:
  - Constant Field Values

### GL_PIXEL_PACK_BUFFER_BINDING

public static final int GL_PIXEL_PACK_BUFFER_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_PIXEL_UNPACK_BUFFER_BINDING

public static final int GL_PIXEL_UNPACK_BUFFER_BINDING
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev.

See Also:
  - Constant Field Values

### GL_SRGB

public static final int GL_SRGB
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SRGB8

public static final int GL_SRGB8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SRGB_ALPHA

public static final int GL_SRGB_ALPHA
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SRGB8_ALPHA8

public static final int GL_SRGB8_ALPHA8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE_ALPHA

public static final int GL_SLUMINANCE_ALPHA
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE8_ALPHA8

public static final int GL_SLUMINANCE8_ALPHA8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE

public static final int GL_SLUMINANCE
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_SLUMINANCE8

public static final int GL_SLUMINANCE8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB

public static final int GL_COMPRESSED_SRGB
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA

public static final int GL_COMPRESSED_SRGB_ALPHA
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SLUMINANCE

public static final int GL_COMPRESSED_SLUMINANCE
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_COMPRESSED_SLUMINANCE_ALPHA

public static final int GL_COMPRESSED_SLUMINANCE_ALPHA
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

See Also:
  - Constant Field Values

### GL_CURRENT_RASTER_SECONDARY_COLOR

public static final int GL_CURRENT_RASTER_SECONDARY_COLOR
Accepted by the <pname> parameter of GetIntegerv and GetFloatv.

See Also:
  - Constant Field Values

## Method Details

### glUniformMatrix2x3

public static void glUniformMatrix2x3(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix3x2

public static void glUniformMatrix3x2(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix2x4

public static void glUniformMatrix2x4(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix4x2

public static void glUniformMatrix4x2(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix3x4

public static void glUniformMatrix3x4(int location, boolean transpose, FloatBuffer matrices)

### glUniformMatrix4x3

public static void glUniformMatrix4x3(int location, boolean transpose, FloatBuffer matrices)